Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Encodings/PackingSolutionManipulator.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Encodings/PackingSolutionManipulator.cs	(revision 14127)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Encodings/PackingSolutionManipulator.cs	(revision 14128)
@@ -32,8 +32,9 @@
   [Item("PackingSolutionManipulator", "A bin packing manipulation operation.")]
   [StorableClass]
-  public abstract class PackingSolutionManipulator : SingleSuccessorOperator, IPackingSolutionManipulator, IStochasticOperator {
+  public abstract class PackingSolutionManipulator<T> : SingleSuccessorOperator, IPackingSolutionManipulator<T>, IStochasticOperator
+  where T : class, IItem {
 
-    public ILookupParameter<IPackingSolutionEncoding> EncodedSolutionParameter {
-      get { return (ILookupParameter<IPackingSolutionEncoding>)Parameters["EncodedSolution"]; }
+    public ILookupParameter<T> EncodedSolutionParameter {
+      get { return (ILookupParameter<T>)Parameters["EncodedSolution"]; }
     }
 
@@ -44,8 +45,8 @@
     [StorableConstructor]
     protected PackingSolutionManipulator(bool deserializing) : base(deserializing) { }
-    protected PackingSolutionManipulator(PackingSolutionManipulator original, Cloner cloner) : base(original, cloner) { }
+    protected PackingSolutionManipulator(PackingSolutionManipulator<T> original, Cloner cloner) : base(original, cloner) { }
     public PackingSolutionManipulator()
       : base() {
-      Parameters.Add(new LookupParameter<IPackingSolutionEncoding>("EncodedSolution", "The bin packing solution to be manipulated."));
+      Parameters.Add(new LookupParameter<T>("EncodedSolution", "The bin packing solution to be manipulated."));
       Parameters.Add(new LookupParameter<IRandom>("Random", "The pseudo random number generator which should be used for stochastic manipulation operators."));
     }
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Evaluators/BinUtilizationEvaluator.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Evaluators/BinUtilizationEvaluator.cs	(revision 14127)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Evaluators/BinUtilizationEvaluator.cs	(revision 14128)
@@ -42,5 +42,5 @@
     public BinUtilizationEvaluator() : base() { }
 
-    protected override DoubleValue Evaluate() {
+    protected override double Evaluate() {
       DoubleValue quality = new DoubleValue(0);
 
@@ -67,5 +67,5 @@
     }
 
-    public static DoubleValue CalculateBinUtilization(PackingPlan<D, B, I> plan) {
+    public static double CalculateBinUtilization(PackingPlan<D, B, I> plan) {
       int nrOfBins = plan.NrOfBins;
       double result = 0;
@@ -97,5 +97,5 @@
 
       result = totalUsedSpace / totalUsableSpace;
-      return new DoubleValue(result);
+      return result;
     }
   }
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Evaluators/EvaluatorBase.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Evaluators/EvaluatorBase.cs	(revision 14127)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Evaluators/EvaluatorBase.cs	(revision 14128)
@@ -75,7 +75,7 @@
     }
 
-    protected abstract DoubleValue Evaluate();                                                                        
+    protected abstract double Evaluate();                                                                        
     public override IOperation Apply() {
-      QualityParameter.ActualValue = Evaluate();
+      QualityParameter.ActualValue = new DoubleValue(Evaluate());
       return base.Apply();
     }
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Evaluators/PackingRatioEvaluator.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Evaluators/PackingRatioEvaluator.cs	(revision 14127)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Evaluators/PackingRatioEvaluator.cs	(revision 14128)
@@ -41,5 +41,5 @@
     public PackingRatioEvaluator() : base() { }
 
-    protected override DoubleValue Evaluate() {
+    protected override double Evaluate() {
       DoubleValue quality = new DoubleValue(0);
 
@@ -74,5 +74,5 @@
         k.......a constant, k>1.
      */
-    public static DoubleValue CalculatePackingRatio(PackingPlan<D, B, I> plan) {
+    public static double CalculatePackingRatio(PackingPlan<D, B, I> plan) {
       int nrOfBins = plan.NrOfBins;
       double result = 0;
@@ -90,10 +90,10 @@
         //k = 2 --> (Fi/C)*(Fi/C)
         //result += (((usedSpaceInThisBin) / (usableSpace)) * ((usedSpaceInThisBin) / (usableSpace))) / (i*i + 1);
-        var PD = plan.BinPackings[i].PackingDensity;
-        result += (PD * PD) / (i + 1);
+        var pd = plan.BinPackings[i].PackingDensity;
+        result += (pd * pd) / (i + 1);
       }
 
       result = result / nrOfBins;
-      return new DoubleValue(result);
+      return result;
     }
   }
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/HeuristicLab.Problems.BinPacking-3.3.csproj
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/HeuristicLab.Problems.BinPacking-3.3.csproj	(revision 14127)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/HeuristicLab.Problems.BinPacking-3.3.csproj	(revision 14128)
@@ -160,93 +160,6 @@
     <Compile Include="Analyzers\BestBinPackingSolutionAnalyzer.cs" />
     <Compile Include="Analyzers\BinPackingAnalyzer.cs" />
-    <Compile Include="Encodings\GroupingVector\GroupingVectorSwap2Manipulator.cs" />
-    <Compile Include="Encodings\GroupingVector\GroupingVectorSinglePointCrossover.cs" />
-    <Compile Include="Encodings\GroupingVector\GroupingVectorDiscreteCrossover.cs" />
-    <Compile Include="Encodings\GroupingVector\Moves\GroupingMove.cs" />
-    <Compile Include="Encodings\GroupingVector\Moves\GroupingMoveAttribute.cs" />
-    <Compile Include="Encodings\GroupingVector\Moves\SwapGrouping\ExhaustiveSwapGroupingMoveGenerator.cs" />
-    <Compile Include="Encodings\GroupingVector\Moves\SwapGrouping\SwapGroupingMove.cs" />
-    <Compile Include="Encodings\GroupingVector\Moves\SwapGrouping\SwapGroupingMoveAttribute.cs" />
-    <Compile Include="Encodings\GroupingVector\Moves\SwapGrouping\SwapGroupingMoveGenerator.cs" />
-    <Compile Include="Encodings\GroupingVector\Moves\GroupingMoveMaker.cs" />
-    <Compile Include="Encodings\GroupingVector\Moves\GroupingTabuMaker.cs" />
-    <Compile Include="Encodings\GroupingVector\Moves\SwapGrouping\StochasticSwapGroupingMoveGenerator.cs" />
-    <Compile Include="Encodings\GroupingVector\Moves\GroupingMoveSoftTabuCriterion.cs" />
-    <Compile Include="Encodings\GroupingVector\Moves\ChangeGrouping\ExhaustiveChangeGroupingMoveGenerator.cs" />
-    <Compile Include="Encodings\GroupingVector\Moves\ChangeGrouping\ChangeGroupingMove.cs" />
-    <Compile Include="Encodings\GroupingVector\Moves\ChangeGrouping\ChangeGroupingMoveAttribute.cs" />
-    <Compile Include="Encodings\GroupingVector\Moves\ChangeGrouping\ChangeGroupingMoveGenerator.cs" />
-    <Compile Include="Encodings\GroupingVector\Moves\GroupingMoveHardTabuCriterion.cs" />
-    <Compile Include="Encodings\GroupingVector\Moves\ChangeGrouping\StochasticChangeGroupingMoveGenerator.cs" />
-    <Compile Include="Encodings\GroupingVector\GroupingVectorOnePositionManipulator.cs" />
-    <Compile Include="Encodings\GroupingVector\GroupingVectorCrossover.cs" />
-    <Compile Include="Encodings\GroupingVector\GroupingVectorEncoding.cs" />
-    <Compile Include="Encodings\GroupingVector\GroupingVectorManipulator.cs" />
-    <Compile Include="Encodings\GroupingVector\GroupingVectorRandomCreator.cs" />
-    <Compile Include="Encodings\MultiComponentVector\SequenceBasedMultiComponentVectorCrossover.cs" />
-    <Compile Include="Encodings\MultiComponentVector\BinBasedMultiComponentVectorCrossover.cs" />
-    <Compile Include="Encodings\MultiComponentVector\Moves\Multi\Attributes\ChangePositionMoveAttribute.cs" />
-    <Compile Include="Encodings\MultiComponentVector\Moves\Triple\Attributes\MCVTripleMoveAttribute.cs" />
-    <Compile Include="Encodings\MultiComponentVector\Moves\Multi\Attributes\SwapPositionMoveAttribute.cs" />
-    <Compile Include="Encodings\MultiComponentVector\Moves\Multi\Attributes\SingleGroupingMoveAttribute.cs" />
-    <Compile Include="Encodings\MultiComponentVector\Moves\MultiComponentVectorMoveAttribute.cs" />
-    <Compile Include="Encodings\MultiComponentVector\Moves\Multi\Attributes\SingleItemRotationMoveAttribute.cs" />
-    <Compile Include="Encodings\MultiComponentVector\Moves\Triple\StochasticMCVTripleMoveGenerator.cs" />
-    <Compile Include="Encodings\MultiComponentVector\Moves\Triple\ExhaustiveMCVTripleMoveGenerator.cs" />
-    <Compile Include="Encodings\MultiComponentVector\Moves\Multi\Moves\ChangePositionMove.cs" />
-    <Compile Include="Encodings\MultiComponentVector\Moves\Triple\Moves\MCVTripleMove.cs" />
-    <Compile Include="Encodings\MultiComponentVector\Moves\MultiComponentVectorMoveHardTabuCriterion.cs" />
-    <Compile Include="Encodings\MultiComponentVector\Moves\MultiComponentVectorMove.cs" />
-    <Compile Include="Encodings\MultiComponentVector\Moves\Multi\Moves\SwapPositionMove.cs" />
-    <Compile Include="Encodings\MultiComponentVector\Moves\Multi\Moves\SingleItemRotationMove.cs" />
-    <Compile Include="Encodings\MultiComponentVector\Moves\Multi\ExhaustiveMultiComponentVectorMoveGenerator.cs" />
-    <Compile Include="Encodings\MultiComponentVector\Moves\Multi\Moves\SingleGroupingMove.cs" />
-    <Compile Include="Encodings\MultiComponentVector\Moves\MultiComponentVectorMoveGenerator.cs" />
-    <Compile Include="Encodings\MultiComponentVector\Moves\MultiComponentVectorMoveSoftTabuCriterion.cs" />
-    <Compile Include="Encodings\MultiComponentVector\Moves\MultiComponentVectorMoveMaker.cs" />
-    <Compile Include="Encodings\MultiComponentVector\Moves\MultiComponentVectorTabuMaker.cs" />
-    <Compile Include="Encodings\MultiComponentVector\Moves\Multi\StochasticMultiComponentVectorMoveGenerator.cs" />
-    <Compile Include="Encodings\MultiComponentVector\MultiComponentVectorEncoding.cs">
-      <SubType>Code</SubType>
-    </Compile>
-    <Compile Include="Encodings\MultiComponentVector\MultiComponentVectorCrossover.cs" />
-    <Compile Include="Encodings\MultiComponentVector\MultiComponentVectorManipulator.cs" />
-    <Compile Include="Encodings\MultiComponentVector\MultiComponentVectorRandomCreator.cs" />
-    <Compile Include="Encodings\MultiComponentVector\ThreeWayMultiComponentVectorManipulator.cs" />
     <Compile Include="Encodings\PackingPlans\BinPacking.cs" />
     <Compile Include="Encodings\PackingPlans\PackingPlan.cs" />
-    <Compile Include="Encodings\PackingSequence\Encoding.cs" />
-    <Compile Include="Encodings\PackingSequence\IPackingSequenceCreator.cs" />
-    <Compile Include="Encodings\PackingSequence\Moves\Insertion\ExhaustiveInsertionMoveGenerator.cs" />
-    <Compile Include="Encodings\PackingSequence\Moves\Insertion\StochasticInsertionMoveGenerator.cs" />
-    <Compile Include="Encodings\PackingSequence\Moves\Insertion\InsertionMove.cs" />
-    <Compile Include="Encodings\PackingSequence\Moves\Insertion\InsertionMoveAttribute.cs" />
-    <Compile Include="Encodings\PackingSequence\Moves\Insertion\InsertionMoveGenerator.cs" />
-    <Compile Include="Encodings\PackingSequence\PackingSequence.cs" />
-    <Compile Include="Encodings\PackingSequence\PackingSequenceInversionManipulator.cs" />
-    <Compile Include="Encodings\PackingSequence\PackingSequencePartiallyMatchedCrossover.cs" />
-    <Compile Include="Encodings\PackingSequence\PackingSequenceOrderCrossover.cs" />
-    <Compile Include="Encodings\PackingSequence\Moves\SequenceMove.cs" />
-    <Compile Include="Encodings\PackingSequence\Moves\SequenceMoveAttribute.cs" />
-    <Compile Include="Encodings\PackingSequence\Moves\GroupingMoveHardTabuCriterion.cs" />
-    <Compile Include="Encodings\PackingSequence\Moves\GroupingMoveMaker.cs" />
-    <Compile Include="Encodings\PackingSequence\Moves\GroupingMoveSoftTabuCriterion.cs" />
-    <Compile Include="Encodings\PackingSequence\Moves\SequenceTabuMaker.cs" />
-    <Compile Include="Encodings\PackingSequence\Moves\Swap2\ExhaustiveSwap2MoveGenerator.cs" />
-    <Compile Include="Encodings\PackingSequence\Moves\Swap2\StochasticSwap2MoveGenerator.cs" />
-    <Compile Include="Encodings\PackingSequence\Moves\Swap2\Swap2Move.cs" />
-    <Compile Include="Encodings\PackingSequence\Moves\Swap2\Swap2MoveAttribute.cs" />
-    <Compile Include="Encodings\PackingSequence\Moves\Swap2\Swap2MoveGenerator.cs" />
-    <Compile Include="Encodings\PackingSequence\PackingSequenceCrossover.cs">
-      <SubType>Code</SubType>
-    </Compile>
-    <Compile Include="Encodings\PackingSequence\PackingSequenceEncoding.cs">
-      <SubType>Code</SubType>
-    </Compile>
-    <Compile Include="Encodings\PackingSequence\PackingSequenceManipulator.cs">
-      <SubType>Code</SubType>
-    </Compile>
-    <Compile Include="Encodings\PackingSequence\PackingSequenceRandomCreator.cs" />
-    <Compile Include="Encodings\PackingSequence\PackingSequenceScrambleManipulator.cs" />
     <Compile Include="Encodings\PackingSolutionCreator.cs" />
     <Compile Include="Encodings\PackingSolutionCrossover.cs" />
@@ -282,5 +195,4 @@
     <Compile Include="Plugin.cs" />
     <Compile Include="PackingSequenceProblem.cs" />
-    <Compile Include="Problem.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
   </ItemGroup>
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingMove.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingMove.cs	(revision 14127)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingMove.cs	(revision 14128)
@@ -23,6 +23,6 @@
 
 namespace HeuristicLab.Problems.BinPacking  {
-  public interface IPackingMove : IItem {
-    IPackingSolutionEncoding GetSolutionAfterMove();
+  public interface IPackingMove<out T> : IItem {
+    T GetSolutionAfterMove();
   }
 }
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingSolutionCrossover.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingSolutionCrossover.cs	(revision 14127)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingSolutionCrossover.cs	(revision 14128)
@@ -25,7 +25,8 @@
 
 namespace HeuristicLab.Problems.BinPacking {
-  public interface IPackingSolutionCrossover : ICrossover, IPackingOperator {
-    ILookupParameter<IPackingSolutionEncoding> ChildParameter { get; }
-    IScopeTreeLookupParameter<IPackingSolutionEncoding> ParentsParameter { get; }
+  public interface IPackingSolutionCrossover<T> : ICrossover, IPackingOperator
+  where T : class, IItem {
+    ILookupParameter<T> ChildParameter { get; }
+    IScopeTreeLookupParameter<T> ParentsParameter { get; }
   }
 }
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingSolutionManipulator.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingSolutionManipulator.cs	(revision 14127)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingSolutionManipulator.cs	(revision 14128)
@@ -24,6 +24,7 @@
 
 namespace HeuristicLab.Problems.BinPacking {
-  public interface IPackingSolutionManipulator : IManipulator, IPackingOperator {
-    ILookupParameter<IPackingSolutionEncoding> EncodedSolutionParameter { get; }
+  public interface IPackingSolutionManipulator<T> : IManipulator, IPackingOperator
+  where T : class, IItem {
+    ILookupParameter<T> EncodedSolutionParameter { get; }
   }
 }
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/PackingMoveEvaluator.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/PackingMoveEvaluator.cs	(revision 14127)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/PackingMoveEvaluator.cs	(revision 14128)
@@ -24,4 +24,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Encodings.PackingEncoding;
+using HeuristicLab.Encodings.PermutationEncoding;
 using HeuristicLab.Operators;
 using HeuristicLab.Optimization;
@@ -32,8 +33,9 @@
   [Item("PackingMoveEvaluator", "A base class for operators which evaluate Packing-Solution moves.")]
   [StorableClass]
-  public abstract class PackingMoveEvaluator<D, B, I> : SingleSuccessorOperator, IPackingMoveEvaluator, IMoveOperator
+  public abstract class PackingMoveEvaluator<D, B, I, M> : SingleSuccessorOperator, IPackingMoveEvaluator
     where D : class, IPackingPosition
     where B : PackingShape<D>
-    where I : PackingShape<D>, IPackingItem {     
+    where I : PackingShape<D>, IPackingItem 
+    where M : IItem {     
     public override bool CanChangeName {
       get { return false; }
@@ -61,11 +63,11 @@
       get { return (ScopeParameter)Parameters["CurrentScope"]; }
     }
-    public ILookupParameter<IPackingMove> PackingMoveParameter {
-      get { return (ILookupParameter<IPackingMove>)Parameters["PackingMove"]; }
+    public ILookupParameter<IPackingMove<M>> PackingMoveParameter {
+      get { return (ILookupParameter<IPackingMove<M>>)Parameters["PackingMove"]; }
     }  
     
     [StorableConstructor]
     protected PackingMoveEvaluator(bool deserializing) : base(deserializing) { }
-    protected PackingMoveEvaluator(PackingMoveEvaluator<D, B, I> original, Cloner cloner) : base(original, cloner) { }
+    protected PackingMoveEvaluator(PackingMoveEvaluator<D, B, I, M> original, Cloner cloner) : base(original, cloner) { }
     protected PackingMoveEvaluator()
       : base() {
@@ -77,5 +79,5 @@
       Parameters.Add(new ValueLookupParameter<IEvaluator>("PackingPlanEvaluator", "The actual packing plan evaluation operator."));
       Parameters.Add(new ScopeParameter("CurrentScope", "The current scope where the decoded solution should be added to."));
-      Parameters.Add(new LookupParameter<IPackingMove>("PackingMove", "The move to evaluate."));
+      Parameters.Add(new LookupParameter<IPackingMove<M>>("PackingMove", "The move to evaluate."));
     }
 
@@ -83,6 +85,6 @@
 
     public override IOperation Apply() {
-      IPackingMove move = PackingMoveParameter.ActualValue;
-      IPackingSolutionEncoding newSolution = move.GetSolutionAfterMove();
+      IPackingMove<M> move = PackingMoveParameter.ActualValue;
+      var newSolution = move.GetSolutionAfterMove();
       CurrentScopeParameter.ActualValue.Variables.Add(new Variable("MovedSolution", newSolution));
 
@@ -93,7 +95,7 @@
       CurrentScopeParameter.ActualValue.Variables.Add(new Variable("PackingPlanAfterMove", packingPlan));
 
-      DoubleValue quality = PackingRatioEvaluator<D, B, I>.CalculatePackingRatio(packingPlan);
+      var quality = PackingRatioEvaluator<D, B, I>.CalculatePackingRatio(packingPlan);
 
-      double moveQuality = quality.Value;
+      double moveQuality = quality;
 
       if (MoveQualityParameter.ActualValue == null) MoveQualityParameter.ActualValue = new DoubleValue(moveQuality);
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/PackingSequenceProblem.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/PackingSequenceProblem.cs	(revision 14127)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/PackingSequenceProblem.cs	(revision 14128)
@@ -23,15 +23,20 @@
 
 using System;
+using System.CodeDom;
 using System.Linq;
+using System.Text;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HeuristicLab.Encodings.PackingEncoding.PackingSequence;
+using HeuristicLab.Encodings.PermutationEncoding;
 using HeuristicLab.Optimization;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Problems.BinPacking;
 
-namespace HeuristicLab.Problems.BinPacking2d {
+namespace HeuristicLab.Problems.BinPacking {
   [StorableClass]
-  abstract class PackingSequenceProblem : SingleObjectiveBasicProblem<Encoding> {
+  public abstract class PackingSequenceProblem<TSolution, TEncoding> : SingleObjectiveBasicProblem<TEncoding>
+    where TSolution : class, IItem
+    where TEncoding : class, IEncoding {
 
     // persistence
@@ -43,5 +48,5 @@
 
     // cloning
-    protected PackingSequenceProblem(PackingSequenceProblem original, Cloner cloner)
+    protected PackingSequenceProblem(PackingSequenceProblem<TSolution, TEncoding> original, Cloner cloner)
       : base(original, cloner) {
     }
@@ -53,10 +58,5 @@
     }
 
-    public sealed override double Evaluate(Individual individual, IRandom random) {
-      return Evaluate(individual.PackingSequence(), random);
-    }
-    public abstract double Evaluate(PackingSequence sequence, IRandom random);
-
-    public virtual void Analyze(PackingSequence[] trees, double[] qualities, ResultCollection results,
+    public virtual void Analyze(TSolution[] solutions, double[] qualities, ResultCollection results,
       IRandom random) {
       if (!results.ContainsKey("Best Solution Quality")) {
@@ -64,5 +64,5 @@
       }
       if (!results.ContainsKey("Best Solution")) {
-        results.Add(new Result("Best Solution", typeof(PackingSequence)));
+        results.Add(new Result("Best Solution", typeof(TSolution)));
       }
 
@@ -72,13 +72,9 @@
           IsBetter(bestQuality, ((DoubleValue)results["Best Solution Quality"].Value).Value)) {
         var bestIdx = Array.IndexOf(qualities, bestQuality);
-        var bestClone = (IItem)trees[bestIdx].Clone();
+        var bestClone = (IItem)solutions[bestIdx].Clone();
         results["Best Solution"].Value = bestClone;
         results["Best Solution Quality"].Value = new DoubleValue(bestQuality);
       }
     }
-
-    public sealed override void Analyze(Individual[] individuals, double[] qualities, ResultCollection results, IRandom random) {
-      Analyze(individuals.Select(ind => ind.PackingSequence()).ToArray(), qualities, results, random);
-    }
   }
 }
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Problem.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Problem.cs	(revision 14127)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Problem.cs	(revision 14128)
@@ -26,10 +26,7 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Data;
-using HeuristicLab.Encodings.PackingEncoding.MultiComponentVector;
 using HeuristicLab.PluginInfrastructure;
 using System.Linq;
 using System;
-using HeuristicLab.Encodings.PackingEncoding.PackingSequence;
-using HeuristicLab.Encodings.PackingEncoding.GroupingVector;
 using HeuristicLab.Encodings.PackingEncoding;
 
@@ -97,7 +94,8 @@
     }
 
-    protected Problem(IDecodingEvaluator e) : this(e, new MultiComponentVectorRandomCreator()) { }
-
-    protected Problem(IDecodingEvaluator e, IPackingSolutionCreator c) : base(e, c) {
+    protected Problem(IDecodingEvaluator e) : this(e, new PackingSequenceRandomCreator()) { }
+
+    protected Problem(IDecodingEvaluator e, IPackingSolutionCreator c)
+      : base(e, c) {
       Parameters.Add(new OptionalValueParameter<PackingPlan<D, B, I>>("BestKnownSolution", "The best known solution of this bin-packing instance."));
       Parameters.Add(new ValueParameter<ItemList<I>>("PackingItemMeasures", "Packing-item data defining the measures of the different items that need to be packed.", new ItemList<I>()));
@@ -109,5 +107,5 @@
       Parameters.Add(new ConstrainedValueParameter<IPackingSolutionDecoder>("PackingSolutionDecoder", "The operator that decodes the representation and creates a packing plan."));
       this.Maximization.Value = true;
-      InitializeProblemInstance();
+      InitializeProblemInstance(); // TODO
       InitializeOperators();
       InitializeEventHandlers();
@@ -163,5 +161,5 @@
         Operators.AddRange(ApplicationManager.Manager.GetInstances<IPackingSequenceOperator>());
         InitializeDecoder();
-      } else if (SolutionCreator.GetType() == typeof(GroupingVectorRandomCreator)) {
+      } /* else if (SolutionCreator.GetType() == typeof(GroupingVectorRandomCreator)) {
         Operators.AddRange(ApplicationManager.Manager.GetInstances<IGroupingVectorOperator>());
         InitializeDecoder();
@@ -169,5 +167,5 @@
         Operators.AddRange(ApplicationManager.Manager.GetInstances<IMultiComponentVectorOperator>());
         InitializeDecoder();
-      }
+      } */
     }
     private void ParameterizeOperators() {
@@ -193,4 +191,5 @@
         PackingPlanEvaluator.PackingPlanParameter.Hidden = false;
       }
+      /*
 
       foreach (var op in Operators.OfType<IPackingSolutionManipulator>()) {
@@ -205,5 +204,5 @@
         op.ParentsParameter.Hidden = true;
       }
-
+      */
       foreach (var op in Operators.OfType<BestBinPackingSolutionAnalyzer<D, B, I>>()) {
         op.QualityParameter.ActualName = PackingPlanEvaluator.QualityParameter.ActualName;
